org.apache.tinkerpop.gremlin.server.handler

## Class HttpBasicAuthenticationHandler

- java.lang.Object
- - ChannelInboundHandlerAdapter
  - - org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler
    - - org.apache.tinkerpop.gremlin.server.handler.HttpBasicAuthenticationHandler

-     public class HttpBasicAuthenticationHandler
      extends AbstractAuthenticationHandler

  Implements basic HTTP authentication for use with the `HttpGremlinEndpointHandler` and HTTP based API calls.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler

      `authenticator, authorizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpBasicAuthenticationHandler(Authenticator authenticator, Authorizer authorizer, Settings settings)`
    `HttpBasicAuthenticationHandler(Authenticator authenticator, Settings settings)` Deprecated. As of release 3.5.0, replaced by `HttpBasicAuthenticationHandler(Authenticator, Authorizer, Settings)`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(ChannelHandlerContext ctx, Object msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpBasicAuthenticationHandler

          @Deprecated
          public HttpBasicAuthenticationHandler(Authenticator authenticator,
                                                            Settings settings)

      Deprecated. As of release 3.5.0, replaced by `HttpBasicAuthenticationHandler(Authenticator, Authorizer, Settings)`.

    - #### HttpBasicAuthenticationHandler

          public HttpBasicAuthenticationHandler(Authenticator authenticator,
                                                Authorizer authorizer,
                                                Settings settings)

  - ### Method Detail

    - #### channelRead

          public void channelRead(ChannelHandlerContext ctx,
                                  Object msg)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.